# HomeAudio

A PHP and PERL based "jukebox style" home audio system for Linux.

## Installation

* The **homeaudio.ini** file from the **/scripts/** folder needs to be edited and saved in **/etc/**. Make sure it is ONLY readable by the web server user.
* The project uses composer to install third party libraries. From the root folder execute: `composer update`
* The **tables.sql** file needs to be imported into the database referenced in the **homeaudio.ini** file.
* The **art/** folder needs to be writable by the web server user.
* The main script for the home audio system should be set to execute at boot time:  
   `su web -c "/var/www/html/m/scripts/homeaudio_music.pl &" 1>/dev/null 2>&1`  
* The daily script to do upkeep and maintenance should be set to run every day (typically from /etc/cron.daily/, can be a soft link).  
   `cd /etc/cron.daily && ln -s /var/www/html/m/scripts/homeaudio_updateall.sh`
